[oe-commits] [bitbake] 10/10: toaster: bin/toaster Fix noweb command

git at git.openembedded.org git at git.openembedded.org
Fri Apr 29 09:31:59 UTC 2016


rpurdie pushed a commit to branch master-next
in repository bitbake.

commit f62d9a3e86e384f928fc8ad077d7cf3a75d1591e
Author: Michael Wood <michael.g.wood at intel.com>
AuthorDate: Thu Apr 21 14:22:06 2016 +0100

    toaster: bin/toaster Fix noweb command
    
    For the noweb command we don't need to check if a socket is in use or
    not as we're not starting the django development server. We're just
    setting up the environment and running the runbuilds scheduler.
    
    Signed-off-by: Michael Wood <michael.g.wood at intel.com>
    Signed-off-by: Elliot Smith <elliot.smith at intel.com>
    Signed-off-by: Richard Purdie <richard.purdie at linuxfoundation.org>
---
 bin/toaster | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/bin/toaster b/bin/toaster
index 9540fc9..987d53c 100755
--- a/bin/toaster
+++ b/bin/toaster
@@ -255,7 +255,9 @@ case $CMD in
     start )
         # check if addr:port is not in use
         if [ "$CMD" == 'start' ]; then
-             $MANAGE checksocket "$ADDR_PORT" || return 1
+            if [ $WEBSERVER -gt 0 ]; then
+                $MANAGE checksocket "$ADDR_PORT" || return 1
+            fi
         fi
 
         # kill Toaster web server if it's alive

-- 
To stop receiving notification emails like this one, please contact
the administrator of this repository.


More information about the Openembedded-commits mailing list